﻿using System;
using Uniloader.Managers;

namespace Uniloader.Interface
{
    /// <summary>
    /// Objects capable of generating ULTransferTask instances should 
    /// implement this interface. Implementor is responsible for collecting
    /// parameters needed to instantiate the ULTransferTask object.
    /// </summary>
    public interface ITransferTaskFactory
    {
        TransferTask CreateTask();
    }
}
